<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetDataCenterUrlsResult StructType
 * @subpackage Structs
 */
class GetDataCenterUrlsResult extends AbstractStructBase
{
    /**
     * The status
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - ref: platformCore:status
     * @var \StructType\Status
     */
    public $status;
    /**
     * The dataCenterUrls
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\DataCenterUrls
     */
    public $dataCenterUrls;
    /**
     * Constructor method for GetDataCenterUrlsResult
     * @uses GetDataCenterUrlsResult::setStatus()
     * @uses GetDataCenterUrlsResult::setDataCenterUrls()
     * @param \StructType\Status $status
     * @param \StructType\DataCenterUrls $dataCenterUrls
     */
    public function __construct(\StructType\Status $status = null, \StructType\DataCenterUrls $dataCenterUrls = null)
    {
        $this
            ->setStatus($status)
            ->setDataCenterUrls($dataCenterUrls);
    }
    /**
     * Get status value
     * @return \StructType\Status
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param \StructType\Status $status
     * @return \StructType\GetDataCenterUrlsResult
     */
    public function setStatus(\StructType\Status $status = null)
    {
        $this->status = $status;
        return $this;
    }
    /**
     * Get dataCenterUrls value
     * @return \StructType\DataCenterUrls|null
     */
    public function getDataCenterUrls()
    {
        return $this->dataCenterUrls;
    }
    /**
     * Set dataCenterUrls value
     * @param \StructType\DataCenterUrls $dataCenterUrls
     * @return \StructType\GetDataCenterUrlsResult
     */
    public function setDataCenterUrls(\StructType\DataCenterUrls $dataCenterUrls = null)
    {
        $this->dataCenterUrls = $dataCenterUrls;
        return $this;
    }
}
